diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_statistics.py
similarity index 58%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete_multiple.py
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_statistics.py
index 07e27c651..5fe80649b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_get_statistics.py
@@ -8,7 +8,7 @@
 ##########################################################################
 
 import uuid
-import json
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -22,13 +22,19 @@ from regression.python_test_utils import test_utils as utils
 from . import utils as columns_utils
 
 
-class ColumnDeleteMultipleTestCase(BaseTestGenerator):
-    """This class will delete column under table node."""
-    scenarios = [
-        ('Delete column Node URL', dict(url='/browser/column/obj/'))
-    ]
+class ColumnGetStatisticsTestCase(BaseTestGenerator):
+    """This class will get column statistics under table node."""
+    url = '/browser/column/stats/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_get_statistics",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -37,6 +43,8 @@ class ColumnDeleteMultipleTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -44,47 +52,48 @@ class ColumnDeleteMultipleTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create column
         self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id = columns_utils.create_column(self.server,
+                                                     self.db_name,
+                                                     self.schema_name,
+                                                     self.table_name,
+                                                     self.column_name)
+
+        # Create column
         self.column_name_1 = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.column_ids = [columns_utils.create_column(self.server,
-                                                       self.db_name,
-                                                       self.schema_name,
-                                                       self.table_name,
-                                                       self.column_name),
-                           columns_utils.create_column(self.server,
+        self.column_id_1 = columns_utils.create_column(self.server,
                                                        self.db_name,
                                                        self.schema_name,
                                                        self.table_name,
                                                        self.column_name_1)
-                           ]
 
     def runTest(self):
-        """This function will drop column under table node."""
-        col_response = columns_utils.verify_column(self.server, self.db_name,
-                                                   self.column_name)
-        if not col_response:
-            raise Exception("Could not find the column to drop.")
+        """This function will fetch the column statistics under table node."""
+        if self.is_positive_test:
+            response = columns_utils.api_get(self)
 
-        col_response = columns_utils.verify_column(self.server, self.db_name,
-                                                   self.column_name_1)
-        if not col_response:
-            raise Exception("Could not find the column to drop.")
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = columns_utils.api_get(self)
+            elif 'column_id' in self.data:
+                self.column_id = self.data['column_id']
+                response = columns_utils.api_get(self)
 
-        data = {'ids': self.column_ids}
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id) + '/',
-                                      follow_redirects=True,
-                                      data=json.dumps(data),
-                                      content_type='html/json'
-                                      )
-        self.assertEquals(response.status_code, 200)
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
index 7b2c1cdf7..fa8e68464 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_msql.py
@@ -9,7 +9,6 @@
 
 import json
 import uuid
-from urllib.parse import urlencode
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -25,80 +24,17 @@ from . import utils as columns_utils
 
 class ColumnMsqlTestCase(BaseTestGenerator):
     """This class will test msql route of column with various combinations."""
-    scenarios = [
-        ('msql column change timestamp array length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='timestamp(3) with time zone[]',
-             new_len=6,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE timestamp({len}) with time zone [];'
-         )),
-        ('msql column change timestamp length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='timestamp(4) with time zone',
-             new_len=7,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE timestamp({len}) with time zone ;'
-         )),
-        ('msql column change numeric array precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(5,2)[]',
-             old_len=5,
-             new_precision=4,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision})[];'
-         )),
-        ('msql column change numeric precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,3)',
-             old_len=6,
-             new_precision=5,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision});'
-         )),
-        ('msql column change numeric array length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,3)[]',
-             new_len=8,
-             old_precision=3,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision})[];'
-         )),
-        ('msql column change numeric length',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(6,4)',
-             new_len=8,
-             old_precision=4,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision});'
-         )),
-        ('msql column change numeric array len and precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(10,5)[]',
-             new_len=15,
-             new_precision=8,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision})[];'
-         )),
-        ('msql column change numeric len and precision',
-         dict(
-             url='/browser/column/msql/',
-             data_type='numeric(12,6)',
-             new_len=14,
-             new_precision=9,
-             expected_res='ALTER TABLE {schema}.{table}\n    ALTER COLUMN '
-                          '{column} TYPE numeric({len}, {precision});'
-         ))
-    ]
+    url = '/browser/column/msql/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_msql",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -107,6 +43,8 @@ class ColumnMsqlTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -114,68 +52,57 @@ class ColumnMsqlTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_msql_%s" % (str(uuid.uuid4())[1:8])
+
+        # Create column
+        self.column_name = self.inventory_data["name"] + \
+            (str(uuid.uuid4())[1:8])
+        col_data_type = self.inventory_data["data_type"]
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
                                                      self.table_name,
                                                      self.column_name,
-                                                     self.data_type)
+                                                     col_data_type)
 
-    def runTest(self):
         col_response = columns_utils.verify_column(self.server, self.db_name,
                                                    self.column_name)
         if not col_response:
             raise Exception("Could not find the column to update.")
 
-        data = {"attnum": self.column_id}
-
+    def runTest(self):
+        url_encode_data = {"attnum": self.column_id}
         expected_len = None
         expected_precision = None
 
-        if hasattr(self, 'new_len'):
-            data["attlen"] = self.new_len
-            expected_len = self.new_len
-        if hasattr(self, 'new_precision'):
-            data["attprecision"] = self.new_precision
-            expected_precision = self.new_precision
-
-        response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' +
-            str(self.db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(self.table_id) + '/' +
-            str(self.column_id) + '?' +
-            urlencode(data),
-            follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        if "new_len" in self.data:
+            expected_len = self.data["new_len"]
+            url_encode_data["attlen"] = expected_len
+
+        if "new_precision" in self.data:
+            expected_precision = self.data["new_precision"]
+            url_encode_data["attprecision"] = expected_precision
+
+        response = columns_utils.api_get_msql(self, url_encode_data)
+
+        # Assert response
+        utils.assert_status_code(self, response)
 
         response_data = json.loads(response.data.decode('utf-8'))
 
-        if not expected_len and hasattr(self, 'old_len'):
-            expected_len = self.old_len
-
-        if not expected_precision and hasattr(self, 'old_precision'):
-            expected_precision = self.old_precision
-
-        self.assertEquals(
-            response_data['data'],
-            self.expected_res.format(
-                **dict(
-                    [('schema', self.schema_name),
-                     ('table', self.table_name),
-                     ('column', self.column_name),
-                     ('len', expected_len),
-                     ('precision', expected_precision)
-                     ]
-                )
-            )
-        )
+        if not expected_len and ("old_len" in self.data):
+            expected_len = self.data["old_len"]
+
+        if not expected_precision and ("old_precision" in self.data):
+            expected_precision = self.data["old_precision"]
+
+        expected_sql = (eval(self.expected_data["test_result_data"]))
+        self.assertEquals(response_data['data'], expected_sql)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_put.py
index 48b4cac81..a6e3fe3c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_put.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -25,77 +26,38 @@ from pgadmin.utils import server_utils as server_utils
 
 class ColumnPutTestCase(BaseTestGenerator):
     """This class will update the column under table node."""
-    scenarios = [
-        ('Edit column comments and null constraints', dict(
-            url='/browser/column/obj/',
-            col_data_type='char',
-            data={
-                'attnotnull': True,
-                'description': "This is test comment for column"
-            })),
-        ('Edit column to Identity column as Always', dict(
-            url='/browser/column/obj/',
-            col_data_type='bigint',
-            server_min_version=100000,
-            skip_msg='Identity column are not supported by EPAS/PG 10.0 '
-                     'and below.',
-            data={
-                'attnotnull': True,
-                'attidentity': 'a',
-                'seqincrement': 1,
-                'seqstart': 1,
-                'seqmin': 1,
-                'seqmax': 10,
-                'seqcache': 1,
-                'colconstype': 'i',
-                'seqcycle': True
-            })),
-        ('Edit column to Identity column as Default', dict(
-            url='/browser/column/obj/',
-            col_data_type='bigint',
-            server_min_version=100000,
-            skip_msg='Identity column are not supported by EPAS/PG 10.0 '
-                     'and below.',
-            data={
-                'attnotnull': True,
-                'attidentity': 'd',
-                'seqincrement': 2,
-                'seqstart': 2,
-                'seqmin': 2,
-                'seqmax': 2000,
-                'seqcache': 1,
-                'colconstype': 'i',
-                'seqcycle': True
-            })),
-        ('Edit column Drop Identity by changing constraint type to NONE',
-         dict(url='/browser/column/obj/',
-              col_data_type='bigint',
-              server_min_version=100000,
-              create_identity_column=True,
-              skip_msg='Identity column are not supported by EPAS/PG 10.0 '
-                       'and below.',
-              data={'colconstype': 'n'})
-         )
-    ]
+    url = '/browser/column/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_put",
+                                         columns_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
 
-        if hasattr(self, 'server_min_version'):
+        # Check DB version
+        if "server_min_version" in self.inventory_data:
             server_con = server_utils.connect_server(self, self.server_id)
             if not server_con["info"] == "Server connected.":
                 raise Exception("Could not connect to server to add "
                                 "a table.")
-            if server_con["data"]["version"] < self.server_min_version:
-                self.skipTest(self.skip_msg)
+            if server_con["data"]["version"] < \
+                    self.inventory_data["server_min_version"]:
+                self.skipTest(self.inventory_data["skip_msg"])
 
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -103,43 +65,53 @@ class ColumnPutTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
+
+        # Create column
         self.column_name = "test_column_put_%s" % (str(uuid.uuid4())[1:8])
 
-        if hasattr(self, 'create_identity_column') and \
-                self.create_identity_column:
+        if "create_identity_column" in self.inventory_data:
             self.column_id = columns_utils.create_identity_column(
                 self.server, self.db_name, self.schema_name,
-                self.table_name, self.column_name, self.col_data_type)
+                self.table_name, self.column_name,
+                self.inventory_data["data_type"])
         else:
             self.column_id = columns_utils.create_column(
                 self.server, self.db_name, self.schema_name,
-                self.table_name, self.column_name, self.col_data_type)
+                self.table_name, self.column_name,
+                self.inventory_data["data_type"])
 
-    def runTest(self):
-        """This function will update the column under table node."""
+        # Verify column creation
         col_response = columns_utils.verify_column(self.server, self.db_name,
                                                    self.column_name)
         if not col_response:
             raise Exception("Could not find the column to update.")
+
+    def runTest(self):
+        """This function will update the column under table node."""
         self.data.update({
             'attnum': self.column_id,
             'name': self.column_name,
         })
+        if self.is_positive_test:
+            response = columns_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = columns_utils.api_put(self)
 
-        response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' +
-            str(self.db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(self.table_id) + '/' +
-            str(self.column_id),
-            data=json.dumps(self.data),
-            follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_sql.py
new file mode 100644
index 000000000..47f855ade
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/test_column_sql.py
@@ -0,0 +1,104 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as columns_utils
+
+
+class ColumnGetSqlTestCase(BaseTestGenerator):
+    """This class will get column sql under table node."""
+    url = '/browser/column/sql/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("column_sql",
+                                         columns_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create column
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id = columns_utils.create_column(self.server,
+                                                     self.db_name,
+                                                     self.schema_name,
+                                                     self.table_name,
+                                                     self.column_name)
+
+        # Create column
+        self.column_name_1 = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.column_id_1 = columns_utils.create_column(self.server,
+                                                       self.db_name,
+                                                       self.schema_name,
+                                                       self.table_name,
+                                                       self.column_name_1)
+
+    def runTest(self):
+        """This function will fetch the column sql under table node."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = columns_utils.api_get(self, "")
+            else:
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = columns_utils.api_get(self)
+            else:
+                if 'column_id' in self.data:
+                    self.column_id = self.data['column_id']
+                response = columns_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
index 561b2f82d..65f35ae94 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
@@ -10,9 +10,71 @@
 
 import sys
 import traceback
-
+import os
+import json
+from urllib.parse import urlencode
 from regression.python_test_utils import test_utils as utils
 
+# Load test data from json file.
+CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
+with open(CURRENT_PATH + "/column_test_data.json") as data_file:
+    test_cases = json.load(data_file)
+
+
+# api method calls
+def api_create(self):
+    return self.tester.post("{0}{1}/{2}/{3}/{4}/{5}/".
+                            format(self.url, utils.SERVER_GROUP,
+                                   self.server_id, self.db_id,
+                                   self.schema_id, self.table_id),
+                            data=json.dumps(self.data),
+                            content_type='html/json'
+                            )
+
+
+def api_delete(self, column_id=None):
+    if column_id is None:
+        column_id = self.column_id
+    return self.tester.delete("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                              format(self.url, utils.SERVER_GROUP,
+                                     self.server_id, self.db_id,
+                                     self.schema_id, self.table_id, column_id),
+                              data=json.dumps(self.data),
+                              follow_redirects=True
+                              )
+
+
+def api_get(self, column_id=None):
+    if column_id is None:
+        column_id = self.column_id
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id, self.schema_id,
+                                  self.table_id, column_id),
+                           data=json.dumps(self.data),
+                           follow_redirects=True
+                           )
+
+
+def api_get_msql(self, url_encode_data):
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}?{7}".
+                           format(self.url, utils.SERVER_GROUP, self.server_id,
+                                  self.db_id,
+                                  self.schema_id, self.table_id,
+                                  self.column_id,
+                                  urlencode(url_encode_data)),
+                           follow_redirects=True
+                           )
+
+
+def api_put(self):
+    return self.tester.put("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP, self.server_id,
+                                  self.db_id, self.schema_id, self.table_id,
+                                  self.column_id),
+                           data=json.dumps(self.data),
+                           follow_redirects=True)
+
 
 def create_column(server, db_name, schema_name, table_name, col_name,
                   col_data_type='char'):
